import { Field } from "@sitecore-jss/sitecore-jss-vue";
import { LinkType } from "@/utils/common/type/common.type";
import { PriceType } from "@/components/comp-price-tag/CompPriceTag";
import { CompBadgeVariant } from "@/components/comp-badge/CompBadge";
import { CompDrawerLayout, CompDrawerScale } from "@/components/comp-drawer/CompDrawer";
import { CardTagsItem } from "./components/CardTags";
export declare const CompCardVariant: {
    readonly All: "all";
    readonly Category: "category";
    readonly CategoryWithDescription: "category-with-description";
    readonly Feature: "feature";
    readonly Highlight: "highlight";
    readonly Product: "product";
    readonly ProductNoPrice: "product-noprice";
    readonly Story: "story";
};
export type CompCardVariant = (typeof CompCardVariant)[keyof typeof CompCardVariant];
export declare const CompCardTitleTag: {
    readonly H1: "h1";
    readonly H2: "h2";
    readonly H3: "h3";
    readonly H4: "h4";
    readonly H5: "h5";
    readonly H6: "h6";
};
export type CompCardTitleTag = (typeof CompCardTitleTag)[keyof typeof CompCardTitleTag];
export type CompCardProps = {
    variant: CompCardVariant;
    tags?: CardTagsItem[];
    title: Field<string>;
    titleTag: CompCardTitleTag;
    link: LinkType;
    description?: Field<string>;
    locationAndDate?: Field<string>;
    price?: PriceType;
    badge: {
        text: string;
        type: CompBadgeVariant;
    };
    drawerContent?: Field<string> | string;
    drawerScale?: CompDrawerScale;
    drawerLayout?: CompDrawerLayout;
    alternativeDescription?: Field<string>;
};
