import { CompBadgeVariant } from "@/components/comp-badge/CompBadge";
import { VideoData } from "@/components/comp-media/components/VideoElement";
export type MediaType = {
    src?: string;
    alt?: string;
    isVideo?: boolean;
    video?: VideoData;
    width?: string;
    height?: string;
    size?: string;
    credit?: string;
};
export type VideoType = {
    videoSrc?: string;
    videoCode: string;
    play: boolean;
    mute: boolean;
    loop: boolean;
    autoplay: boolean;
    width?: number | undefined;
    height?: number | undefined;
};
export type LinkType = {
    href: string;
    text: string;
    linkType?: string;
    target?: string;
};
export type BadgeType = {
    text: string;
    type: CompBadgeVariant;
};
export declare const svgIconSizes: {
    readonly "6": 6;
    readonly "8": 8;
    readonly "10": 10;
    readonly "12": 12;
    readonly "14": 14;
    readonly "16": 16;
    readonly "24": 24;
    readonly "32": 32;
    readonly "48": 48;
};
export type svgIconSizes = (typeof svgIconSizes)[keyof typeof svgIconSizes];
export declare const AnimationType: {
    readonly Fade: "fade";
    readonly Slide: "slide";
};
export type AnimationType = (typeof AnimationType)[keyof typeof AnimationType];
